ENBLEND(1)

NAME
enblend - manual page for enblend 4.1.1

SYNOPSIS
enblend [options] [--output=IMAGE] INPUT...

DESCRIPTION
Blend INPUT images into a single IMAGE.

INPUT... are image filenames or response filenames. Response filenames start with an "@" character.

  Common options:

-V, --version
    output version information and exit

-a  pre-assemble non-overlapping images

-h, --help
    print this help message and exit

-l, --levels=LEVELS
    limit number of blending LEVELS to use (1 to 29); negative number of LEVELS decreases maximum; "auto" restores the default automatic maximization

-o, --output=FILE
    write output to FILE; default: "a.tif"

-v, --verbose[=LEVEL]
    verbosely report progress; repeat to increase verbosity or directly set to LEVEL

-w, --wrap[=MODE]
    wrap around image boundary, where MODE is "none", "horizontal", "vertical", or "both"; default: none; without argument the option selects horizontal wrapping

-x  checkpoint partial results

--compression=COMPRESSION
    set compression of output image to COMPRESSION, where COMPRESSION is: "deflate", "jpeg", "lzw", "none", "packbits", for TIFF files and 0 to 100, or "jpeg", "jpeg-arith" for JPEG files, where "jpeg" and "jpeg-arith" accept a compression level

--layer-selector=ALGORITHM
    set the layer selector ALGORITHM; default: "all-layers"; available algorithms are: "all-layers": select all layers in all images; "first-layer": select only first layer in each multi-layer image; "largest-layer": select largest layer in each multi-layer image; "no-layer": do not select any layer from any image;

--parameter=KEY1[=VALUE1][:KEY2[=VALUE2][:...]]
    set one or more KEY-VALUE pairs

  Extended options:

-b BLOCKSIZE
    image cache BLOCKSIZE in kilobytes; default: 2048KB

-c, --ciecam
    use CIECAM02 to blend colors; disable with "--no-ciecam"

--fallback-profile=PROFILE-FILE
    use the ICC profile from PROFILE-FILE instead of sRGB

-d, --depth=DEPTH
    set the number of bits per channel of the output image, where DEPTH is "8", "16", "32", "r32", or "r64"

-g  associated-alpha hack for Gimp (before version 2) and Cinepaint

--gpu
    use graphics card to accelerate seam-line optimization

-f WIDTHxHEIGHT[+xXOFFSET+yYOFFSET]
    manually set the size and position of the output image; useful for cropped and shifted input TIFF images, such as those produced by Nona

-m CACHESIZE
    set image CACHESIZE in megabytes; default: 1024MB

  Mask generation options:

--primary-seam-generator=ALGORITHM
    use main seam finder ALGORITHM, where ALGORITHM is "nearest-feature-transform" or "graph-cut"; default: "nearest-feature-transform"

--image-difference=ALGORITHM[:LUMINANCE-WEIGHT[:CHROMINANCE-WEIGHT]]
    use ALGORITHM for calculation of the difference image, where ALGORITHM is "max-hue-luminance" or "delta-e"; LUMINANCE-WEIGHT and CHROMINANCE-WEIGHT define the weights of lightness and color; default: delta-e:1: 1

--coarse-mask[=FACTOR] shrink overlap regions by FACTOR to speedup mask
    generation; this is the default; if omitted FACTOR defaults to 8

--fine-mask
    generate mask at full image resolution; use e.g. if overlap regions are very narrow

--smooth-difference=RADIUS
    (deprecated) smooth the difference image prior to seam-line optimization with a Gaussian blur of RADIUS; default: 0 pixels

--optimize
    turn on mask optimization; this is the default

--no-optimize
    turn off mask optimization

--optimizer-weights=DISTANCE-WEIGHT[:MISMATCH-WEIGHT]
    set the optimizer's weigths for distance and mismatch; default: 8:1

--mask-vectorize=LENGTH
    set LENGTH of single seam segment; append "%" for relative value; defaults: 4 for coarse masks and 20 for fine masks

--anneal=TAU[:DELTAE-MAX[:DELTAE-MIN[:K-MAX]]]
    set annealing parameters of optimizer strategy 1; defaults: 0.75:7000:5:32

--dijkstra=RADIUS
    set search RADIUS of optimizer strategy 2; default: 25 pixels

--save-masks[=TEMPLATE]
    save generated masks in TEMPLATE; default: "mask-%n.tif"; conversion chars: "%i": mask index, "%n": mask number, "%p": full path, "%d": dirname, "%b": basename, "%f": filename, "%e": extension; lowercase characters refer to input images uppercase to the output image

--load-masks[=TEMPLATE]
    use existing masks in TEMPLATE instead of generating them; same template characters as "--save-masks"; default: "mask-%n.tif"

--visualize[=TEMPLATE] save results of optimizer in TEMPLATE; same template
    characters as "--save-masks"; default: "vis-%n.tif"

Enblend accepts arguments to any option in uppercase as well as in lowercase letters.

AUTHOR
Written by Andrew Mihal and others. + cleanup_output

REPORTING BUGS
Report bugs at <https://bugs.launchpad.net/enblend>. + cleanup_output

COPYRIGHT
Copyright © 2004-2012 Andrew Mihal. License GPLv2+: GNU GPL version 2 or later <http://www.gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for enblend is maintained as a Texinfo manual. If the info and enblend programs are properly installed at your site, the command

    info enblend

should give you access to the complete manual.